package cs;

import javax.xml.stream.XMLEventReader;
import javax.xml.stream.XMLStreamException;
import javax.xml.stream.events.StartElement;
import javax.xml.stream.events.XMLEvent;

public class XMLUtil {
	public static StartElement getRootElement(final XMLEventReader reader)
			throws XMLStreamException {
		do {
			XMLEvent e = reader.nextEvent();
			if (e.isStartElement()) {
				return e.asStartElement();
			}
		} while (reader.hasNext());
		return null;
	}

	public static StartElement nextTag(final XMLEventReader reader, final String name)
			throws XMLStreamException {
		while (reader.hasNext()) {
			XMLEvent e = reader.nextEvent();
			if (e.isStartElement()) {
				StartElement se = e.asStartElement();
				if (se.getName().getLocalPart().equals(name)) {
					return se;
				}
			}
		}
		return null;
	}

	public static StartElement nextTag(final XMLEventReader reader) throws XMLStreamException {
		while (reader.hasNext()) {
			XMLEvent e = reader.nextEvent();
			if (e.isStartElement()) {
				return e.asStartElement();
			}
		}
		return null;
	}
}
